Match a list of emails to recipients for a specific tenant
POST
/v2/tenant/{tenantKey}/usermatch/verified_email
const url = 'https://sender.api.kivra.com/v2/tenant/example/usermatch/verified_email';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"list":["fOO@example.com","bAr@EXAMPLE.COM","XYZ@example.COM"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sender.api.kivra.com/v2/tenant/example/usermatch/verified_email \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "list": [ "fOO@example.com", "bAr@EXAMPLE.COM", "XYZ@example.COM" ] }'Match a list of email addresses to identify those eligible to receive content from the tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The tenant key the matching should be done against. Recipients that opt-out from the tenant will be excluded.
Request Bodyrequired
Section titled “Request Bodyrequired”List of email addresses to be matched. The payload can be up to 10MB in size. If the payload exceeds 10MB, Kivra will respond with a 413 error.
Media typeapplication/json
UserMatchV2Email
object
list
required
List of recipient addresses to be matched
Array<string>
Example
{ "list": [ "fOO@example.com", "bAr@EXAMPLE.COM", "XYZ@example.COM" ]}Responses
Section titled “Responses”Filtered list of email addresses that matched.
Media typeapplication/json
UserMatchV2Email
object
list
required
List of recipient addresses to be matched
Array<string>
Example
{ "list": [ "fOO@example.COM", "bAr@EXAMPLE.COM" ]}